'use strict';

const ACTIONS = {
  KeyF: 'search',
  KeyM: 'manager',
  KeyI: 'inspector',
};

const DEFAULTS = {
  zoom: 100,
  smart: true,
  topmost: true,
  ...Object.fromEntries(
    Object.entries(DEFAULT_SETTINGS).filter(([key]) => {
      return ['limit', 'debug', 'trace', 'display', 'visibility', 'selectorPreview'].includes(key);
    })
  ),
};

// The `auxclick` event is disabled to prevent middle-click navigation:
const DISABLED_EVENTS = ['contextmenu', 'auxclick', 'dragover', 'drop'];
